Open SCAP Library: cve_priv.h File Reference

Open SCAP Library

Functions
cve_priv.h File Reference

Common Vulnerability and Exposure dictionary. More...

`#include <libxml/xmlreader.h>`
`#include <libxml/xmlwriter.h>`
`#include "../common/list.h"`
`#include "../common/elements.h"`

Go to the source code of this file.

## Functions
struct cve_model * | cve_model_parse_xml (const char *file)
| Parse CVE model from XML (private function) More...
struct cve_model * | cve_model_parse (xmlTextReaderPtr reader)
| Parse CVE model. More...
struct cve_entry * | cve_entry_parse (xmlTextReaderPtr reader)
| Parse CVE entry. More...
void | cve_export (const struct cve_model *cve, xmlTextWriterPtr writer)
| Export CVE model to XML file. More...
void | cve_model_export_xml (struct cve_model *cve, const char *file)
| Export CVE model to XML file. More...
void | cve_reference_export (const struct cve_reference *refer, xmlTextWriterPtr writer)
| Export CVE reference to XML file. More...
void | cve_summary_export (const struct cve_summary *sum, xmlTextWriterPtr writer)
| Export CVE summary to XML file. More...
void | cve_entry_export (const struct cve_entry *entry, xmlTextWriterPtr writer)
| Export CVE entry to XML file. More...

## Detailed Description

Common Vulnerability and Exposure dictionary.

See details at: http://cve.mitre.org/ http://nvd.nist.gov/download.cfm

## Function Documentation

## ◆ cve_entry_export()

void cve_entry_export | ( | const struct cve_entry * | entry,
|  | xmlTextWriterPtr | writer
| ) |  |

Export CVE entry to XML file.

Parameters

  entry | CVE entry
  writer | XML Text Writer representing XML model

## ◆ cve_entry_parse()

struct cve_entry* cve_entry_parse | ( | xmlTextReaderPtr | reader | ) |

Parse CVE entry.

Parameters

  reader | XML Text Reader representing XML model

Returns
  parsed CVE entry

## ◆ cve_export()

void cve_export | ( | const struct cve_model * | cve,
|  | xmlTextWriterPtr | writer
| ) |  |

Export CVE model to XML file.

Parameters

  cve | CVE model
  writer | XML Text Writer representing XML model

## ◆ cve_model_export_xml()

void cve_model_export_xml | ( | struct cve_model * | cve,
|  | const char * | file
| ) |  |

Export CVE model to XML file.

Parameters

  cve | CVE model
  file | OSCAP export target

## ◆ cve_model_parse()

struct cve_model* cve_model_parse | ( | xmlTextReaderPtr | reader | ) |

Parse CVE model.

Parameters

  reader | XML Text Reader representing XML model

Returns
  parsed CVE mdoel

## ◆ cve_model_parse_xml()

struct cve_model* cve_model_parse_xml | ( | const char * | file | ) |

Parse CVE model from XML (private function)

Parameters

  file | OSCAP import source

Returns
  new CVE model

## ◆ cve_reference_export()

void cve_reference_export | ( | const struct cve_reference * | refer,
|  | xmlTextWriterPtr | writer
| ) |  |

Export CVE reference to XML file.

Parameters

  refer | CVE reference
  writer | XML Text Writer representing XML model

## ◆ cve_summary_export()

void cve_summary_export | ( | const struct cve_summary * | sum,
|  | xmlTextWriterPtr | writer
| ) |  |

Export CVE summary to XML file.

Parameters

  sum | CVE summary
  writer | XML Text Writer representing XML model